/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/mixins/_fonts.scss';

.container {
  margin: 0;

  &.--big {
    padding-inline: 0.93rem;
    padding-block: 0.5rem;
  }

  &.--small {
    padding-inline: 0.625rem;
    padding-block: 0.3125rem;
  }

  &.--green {
    @include primary-text(0.625rem, $coa-green-100, 500, 0.75rem);
    border: solid 1px $coa-green-100;
    background: $coa-light-green-100;
  }

  &.--orange {
    @include primary-text(0.625rem, $coa-orange-100, 500, 0.75rem);
    border: solid 1px $coa-orange-100;
    background: $coa-light-orange-100;
  }

  &.--yellow {
    @include primary-text(0.625rem, $coa-yellow-100, 500, 0.75rem);
    border: solid 1px $coa-yellow-100;
    background: $coa-light-yellow-100;
  }

  &.--gray {
    @include primary-text(0.625rem, $coa-grey-100, 500, 0.75rem);
    border: solid 1px $coa-grey-100;
    background: $light-gray;
  }

  &.--blue {
    @include primary-text(0.625rem, $coa-light-blue-100, 500, 0.75rem);
    border: solid 1px $coa-light-blue-100;
    background: $coa-ultralight-blue-100;
  }

  &.--red {
    @include primary-text(0.625rem, $coa-red-100, 500, 0.75rem);
    border: solid 1px $coa-red-100;
    background: $coa-light-red-100;
  }

  &.--violet {
    @include primary-text(0.625rem, $coa-violet-100, 500, 0.75rem);
    border: solid 1px $coa-violet-100;
    background: $coa-light-violet-100;
  }

  &.--pink {
    @include primary-text(0.625rem, $coa-fuchsia-100, 500, 0.75rem);
    border: solid 1px $coa-fuchsia-100;
    background: $coa-light-fuchsia-100;
  }
}
